View Issue Details

IDProjectCategoryLast Update
0023520AI War 2Crash/ExceptionAug 8, 2020 8:00 pm
ReporterGreatYng Assigned To 
Severityminor 
Status resolvedResolutionfixed 
Product Version2.116 GOG Networking Done 
Fixed in Version2.117 
Summary0023520: Macrophage Exception
DescriptionI destroyed the Lone Telium and the single remaining Macrophage is not enraged and currently being destroyed by the Nanocaust. Once the Macrophage is destroyed the error, which keeps popping up repeatedly, stops showing up.


8/7/2020 11:11:20 PM specialFactionContext_49_MacrophageInfestation Error: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpecialFaction_MacrophageInfestation+<>c__DisplayClass30_0.<DoLongRangePlanning_OnBackgroundNonSimThread_Subclass>b__1 (Arcen.AIW2.Core.GameEntity_Squad entity) [0x0046c] in <2bceaf7f23c64d2aa2eefa99836f9f51>:0
  at Arcen.AIW2.Core.EntityCollection.DoForEntities (System.String Tag, Arcen.AIW2.Core.GameEntity_Squad+ProcessorDelegate Processor) [0x00075] in <dc82ba80a29b499c890fb26ce57c62f1>:0
  at Arcen.AIW2.Core.Faction.DoForEntities (System.String Tag, Arcen.AIW2.Core.GameEntity_Squad+ProcessorDelegate Processor) [0x00033] in <dc82ba80a29b499c890fb26ce57c62f1>:0
  at Arcen.AIW2.External.SpecialFaction_MacrophageInfestation.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x000ad] in <2bceaf7f23c64d2aa2eefa99836f9f51>:0
  at Arcen.AIW2.External.BaseSpecialFaction.DoLongRangePlanning_OnBackgroundNonSimThread (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ILongRangePlanningContext Context) [0x00076] in <2bceaf7f23c64d2aa2eefa99836f9f51>:0
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00077] in <2bceaf7f23c64d2aa2eefa99836f9f51>:0
TagsNo tags attached.

Activities

GreatYng

Aug 7, 2020 5:54 pm

reporter  

Macrophage Exception.save (856,237 bytes)

BadgerBadger

Aug 8, 2020 12:54 pm

manager   ~0058003

Starkelp?

StarKelp

Aug 8, 2020 7:35 pm

reporter   ~0058006

* Fixed a potential null ref exception for Macrophage related to them trying to find their Telium.
** Thanks to GreatYng on Mantis for the report.

Weird little bug. Harvesters were sometimes not finding their Telium in the background thread. I'll look into this in depth for the future, as it could potentially be a hint towards a larger problem; but for now there is some improved defensive code in for such a case.

Issue History

Date Modified Username Field Change
Aug 7, 2020 5:54 pm GreatYng New Issue
Aug 7, 2020 5:54 pm GreatYng File Added: Macrophage Exception.save
Aug 8, 2020 12:54 pm BadgerBadger Note Added: 0058003
Aug 8, 2020 7:35 pm StarKelp Note Added: 0058006
Aug 8, 2020 8:00 pm BadgerBadger Status new => resolved
Aug 8, 2020 8:00 pm BadgerBadger Resolution open => fixed
Aug 8, 2020 8:00 pm BadgerBadger Fixed in Version => 2.117

Debug Log

Number Execution time Caller Event
PLUGIN-10SMFAuth SMFAuth.php:55 SMFAuthPlugin->auto_login()SMFAuth Initializing
PLUGIN-20SMFAuth SMFAuth.php:59 SMFAuthPlugin->auto_login()SMF Settings loaded from /home/arcengames/public_html/forums
PLUGIN-30SMFAuth SMFAuth.php:147 SMFAuthPlugin->decodeCookie()Cookie doesn't exist! Is the user logged into the forums?